Bug 115046 - Autofilter is disabled prematurely
Summary: Autofilter is disabled prematurely
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium trivial
Assignee: Eike Rathke
URL:
Whiteboard: target:6.1.0 target:6.0.2 target:5.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2018-01-16 14:51 UTC by Telesto
Modified: 2018-05-09 16:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
tail of terminal output from bibisect (2.47 KB, text/plain)
2018-02-12 02:42 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-01-16 14:51:37 UTC
Description:
Autofilter is disabled prematurely 

Steps to Reproduce:
1. Open attachment 139120 [details]
2. Click Data -> Sort
3. Press Cancel -> Auto sort is disabled 

Actual Results:  
Autosort is disabled

Expected Results:
Probably no change.. Similar to version: 4.3.0.4



Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha0+
Build ID: 80fb8d406ced47e6a2089f0c8ba5c103d2fec91f
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-01-15_05:18:42
Locale: nl-NL (nl_NL); Calc: CL

and in
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL

but not in
Version: 4.3.0.4
Build ID: 62ad5818884a2fc2e5780dd45466868d41009ec


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Xavier Van Wijmeersch 2018-01-16 20:32:38 UTC
can reproduce with

Version: 5.3.1.2
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 8; OS Version: Linux 4.14; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 5.4.4.2
Build ID: 2524958677847fb3bb44820e40380acbe820f960
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.0.1.0.0+
Build ID: 1f497913901972fd51c222a5824c21f6bda5c0db
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 2 Chavdar 2018-01-16 20:40:58 UTC
Confirmed

Version: 6.0.0.2 (x64)
Build ID: 06b618bb6f431d27fd2def25aa19c833e29b61cd
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: bg-BG (bg_BG); Calc: group
Comment 3 Terrence Enger 2018-02-12 02:42:12 UTC
Created attachment 139805 [details]
tail of terminal output from bibisect

Working on debian-buster in the -till51 bibisect repository I see that
the bug started in the about 290 source commits:

          commit    date        s-h
          --------  ----------  --------
    good  6e6e48df  2015-07-17  14257152
    bad   26f4f852  2015-07-18  c84dd513

I am setting keyword bibisected.
Comment 4 raal 2018-02-13 15:57:36 UTC
This seems to have begun at the below commit.
Adding Cc: to Eike Rathke ; Could you possibly take a look at this one?
Thanks

e703d0d8c0f11f04fea62452ea18a80507499e1e is the first bad commit
commit e703d0d8c0f11f04fea62452ea18a80507499e1e
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Jul 31 20:02:31 2015 -0700

    source sha:8eadeb91cde9709f006e8c5e19e98bff44dbd177

author    Eike Rathke <erack@redhat.com>    2015-07-17 15:21:48 +0200
committer    Eike Rathke <erack@redhat.com>    2015-07-17 15:26:49 +0200
commit    8eadeb91cde9709f006e8c5e19e98bff44dbd177 (patch)
tree    095b5a5c73d4f6ecd6773c3cecba7e3dea8d3fdb
parent    9dd4b06304a615d2d600d6b1cdf0d6d445311b0d (diff)
Resolves: tdf#77479 do not reset AutoFilter range for temporary operations
Comment 5 Eike Rathke 2018-02-14 23:03:41 UTC
Taking.
Comment 6 Commit Notification 2018-02-15 11:52:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74d30155c5067271fb98bacbcb895c215e61678d

Resolves: tdf#115046 don't restore a sheet-local DBData from temporary

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Eike Rathke 2018-02-15 12:02:05 UTC
Pending review
https://gerrit.libreoffice.org/49809 for 6-0
https://gerrit.libreoffice.org/49810 for 5-4
Comment 8 Commit Notification 2018-02-16 09:24:14 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=805f5d5b4ab022c531709d46b5dad10a1d772309&h=libreoffice-6-0

Resolves: tdf#115046 don't restore a sheet-local DBData from temporary

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-02-17 22:24:17 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54fac33e16550c1dd95c89362130229ba2b54270&h=libreoffice-5-4

Resolves: tdf#115046 don't restore a sheet-local DBData from temporary

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xavier Van Wijmeersch 2018-02-18 16:02:09 UTC
tested and its works in

Version: 6.1.0.0.alpha0+
Build ID: bf2e3dc2a9b3801366c83b0036ca1778198fa8ae
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.0.2.0.0+
Build ID: 7bffc6f745c86124326472b3719c2cb63869ef55
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group